lockfile.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/thread/syncprims.h>`
Include dependency graph for lockfile.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::helpers::LockFile

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Typedefs

typedef log4cplus::thread::SyncGuard< LockFile > | log4cplus::helpers::LockFileGuard